Package org.apache.catalina.valves

## Class AbstractAccessLogValve.ByteSentElement

- java.lang.Object
- - org.apache.catalina.valves.AbstractAccessLogValve.ByteSentElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  AbstractAccessLogValve

    protected static class AbstractAccessLogValve.ByteSentElement
    extends Object
    implements AbstractAccessLogValve.AccessLogElement

write bytes sent, excluding HTTP headers - %b, %B

### Constructor Summary

Constructors
`ByteSentElement​(boolean conversion)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addElement​(CharArrayWriter buf, Date date, Request request, Response response, long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteSentElement

    public ByteSentElement​(boolean conversion)

Parameters:
  `conversion` - `true` to write '-' instead of 0 - %b.

### Method Detail

#### addElement

    public void addElement​(CharArrayWriter buf,
                           Date date,
                           Request request,
                           Response response,
                           long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`